Name:           perl-UNIVERSAL-exports
Version:        0.05
Release:        2%{?dist}
Summary:        Lightweight, universal exporting of variables
Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/UNIVERSAL-exports/
Source0:        http://search.cpan.org/CPAN/authors/id/M/MS/MSCHWERN/UNIVERSAL-exports-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
BuildRequires:  perl(Exporter::Lite)
Requires:  perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.

%prep
%setup -q -n UNIVERSAL-exports-%{version}

cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
    sed -e '/^perl(UNIVERSAL)$/d'
EOF
%define __perl_provides %{_builddir}/UNIVERSAL-exports-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/UNIVERSAL
%{_mandir}/man3/*.3*


%changelog
* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.05-2
- get rid of false provide

* Sun Sep  3 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.05-1
- bump to 0.05, upstream confirms license

* Mon Apr 24 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-4
- debian has license confirmation from 2002, we'll trust that

* Sun Aug 14 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-3
- change license to Distributable, since upstream never replied to 
  license confirmation

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-2
- cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 0.03-1
- Initial package for Fedora Extras
